Name:           kroots
Version:        1.5.0
Release:        %mkrel 8
Summary:        Find all the roots of a complex number
Group:          Education
License:        GPLv3+
Url:            http://kde-apps.org/content/show.php/Kroots?content=116086
Source0:        http://kde-apps.org/CONTENT/content-files/116086-%{name}-%{version}.tar.gz
# https://www.transifex.com/Magic/kroots
Source1:        %{name}-i18n-%{version}.tar.gz
# https://www.transifex.com/Magic/kroots/language/en
Source2:        %{name}.desktop
Patch0:         kroots-1.5.0-mga-cmakelists-fixes.patch
Patch1:         kroots-1.5.0-mga-fix-empty-localised-menu.patch
Patch2:         kroots-1.5.0-mga-fix-i18n.patch
Patch3:         kroots-1.5.0-mga-fix-typos.patch
Patch4:         kroots-1.5.0-mga-fix-version.patch
Patch5:         kroots-1.5.0-mga-fix-clear-slot.patch
Patch6:         kroots-1.5.0-mga-fix-docbook.patch

BuildRequires:  kdelibs4-devel
BuildRequires:  pkgconfig(openssl)

%description
KRoots finds all the roots of a complex number and graphs
them on the real/imaginary axis. It supports both the a + bi
format and the r cis o format. KRoots can also be used to
create regular polygons.

%prep
%setup -q
%autopatch -p1
chmod -x COPYING README src/*.cpp src/*.h
tar -xf %{SOURCE1}
cp -f %{SOURCE2} src/

%build
pushd i18n
./kroots_18n_compile.sh
popd
%cmake_kde4
%make

%install
%make_install -C build

mv %{buildroot}%{_iconsdir}/hicolor/scalable/apps/hisc-app-kroots.svg \
   %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_datadir}/locale
cp -af locale/* %{buildroot}%{_datadir}/locale/

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_docdir}/HTML/en/%{name}
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_appsdir}/%{name}
%{_kde_bindir}/%{name}
%{_kde_datadir}/config.kcfg/%{name}.kcfg
%{_kde_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sat Jan 14 2017 neoclust <neoclust> 1.5.0-8.mga6
+ Revision: 1081729
- Add back on mageia

* Sat Jan 14 2017 alexl <alexl> 1.5.0-7.mga6
+ Revision: 1081597
- update langs from transifex
- fix spurious-executable-perm (rpmlint)

* Wed Dec 30 2015 alexl <alexl> 1.5.0-6.mga6
+ Revision: 916908
- update translations from tx
- s/makeinstall_std/make_install/

* Fri Aug 21 2015 akien <akien> 1.5.0-5.mga6
+ Revision: 867965
- Improve patch1 to work if KRoots name is localised
- Drop patch that restores default settings menu, and use a more i18n-friendly way to find what to keep

  + alexl <alexl>
    - add i18n support
    - use default settings menu (fix problem for not English languages)
    - fix typos
    - fix version
    - fix clear slot ('clearPolygons' does not exists, use 'clear')
    - fix docbook for settings section

* Sun Nov 23 2014 alexl <alexl> 1.5.0-4.mga5
+ Revision: 798528
- fixed French Comment for desktop file
- added Russian translation for desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 745518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 681199
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 akien <akien> 1.5.0-1.mga5
+ Revision: 638539
- Fix desktop entry
- imported package kroots

